Subject: Re: bug#54950: Connecting to remote guix daemon with encrypted SSH key fails

From: Arun Isaac <[email-masked]>
Date: Wed, 15 Jun 2022 12:00:36 +0530

Hi Maxim,

> I suspect this is due to changes in OpenSSH *client* that now refuse
> older RSA keys for security reasons.

This doesn't seem to be. Here's why: I have another machine that I ssh
to using an unencrypted RSA key. I am able to connect to the Guix daemon
on that machine without any trouble. What's more, the machine with an
encrypted key, whose Guix daemon I'm unable to connect to, uses an ECDSA
key.

> Could you retry with the following option: 'StrictHostKeyChecking no'
> applied to the host in your ~/.ssh/config?

Adding 'StrictHostKeyChecking no' makes no difference. The unencrypted
key still works, and the encrypted doesn't.

Cheers!
Arun